2018-08-11 00:14:32,537 DEBUG: Downloading http://rcyegisweb.rcyanbu.gov.sa/arcgis/rest/services/ApplicationServices/CCAF_AHCEC/MapServer/4 to addresses-primary-687daabe.csv 2018-08-11 00:14:32,537 DEBUG: Requesting http://rcyegisweb.rcyanbu.gov.sa/arcgis/rest/services/ApplicationServices/CCAF_AHCEC/MapServer/4 with args {'f': 'json'} 2018-08-11 00:14:34,569 DEBUG: Requesting http://rcyegisweb.rcyanbu.gov.sa/arcgis/rest/services/ApplicationServices/CCAF_AHCEC/MapServer/4/query with args {'where': '1=1', 'returnCountOnly': 'true', 'f': 'json'} 2018-08-11 00:14:36,564 INFO: Source has 18854 rows 2018-08-11 00:14:36,565 DEBUG: Requesting http://rcyegisweb.rcyanbu.gov.sa/arcgis/rest/services/ApplicationServices/CCAF_AHCEC/MapServer/4 with args {'f': 'json'} 2018-08-11 00:14:38,257 DEBUG: Requesting http://rcyegisweb.rcyanbu.gov.sa/arcgis/rest/services/ApplicationServices/CCAF_AHCEC/MapServer/4/query with args {'where': '1=1', 'returnCountOnly': 'true', 'f': 'json'} 2018-08-11 00:14:40,163 DEBUG: Requesting http://rcyegisweb.rcyanbu.gov.sa/arcgis/rest/services/ApplicationServices/CCAF_AHCEC/MapServer/4/query with args {'outStatistics': '[{"outStatisticFieldName":"THE_MIN","statisticType":"min","onStatisticField":"OBJECTID"},{"outStatisticFieldName":"THE_MAX","statisticType":"max","onStatisticField":"OBJECTID"}]', 'f': 'json', 'outFields': ''} 2018-08-11 00:14:45,176 INFO: Built 19 requests using OID where clause method 2018-08-11 00:14:45,177 DEBUG: Requesting http://rcyegisweb.rcyanbu.gov.sa/arcgis/rest/services/ApplicationServices/CCAF_AHCEC/MapServer/4/query with args {'f': 'json', 'geometryPrecision': 7, 'outSR': '4326', 'returnGeometry': True, 'where': 'OBJECTID > 0 AND OBJECTID <= 1000', 'outFields': '*'} 2018-08-11 00:14:46,826 ERROR: Could not parse response from https://rcyegisweb.rcyanbu.gov.sa/arcgis/rest/services/ApplicationServices/CCAF_AHCEC/MapServer/4/query as JSON: Query: Parcel (ID: 4)
ArcGIS REST Services Directory Login | Get Token

Query: Parcel (ID: 4)

Where:
Text:
Object IDs:
Time:
Input Geometry:
Geometry Type:
Input Spatial Reference:
Spatial Relationship:
Relation:
Out Fields:
Return Geometry: True   False
Max Allowable Offset:
Geometry Precision:
Output Spatial Reference:
Return IDs Only: True   False
Return Count Only: True   False
Order By Fields:
Group By Fields (For Statistics):
Output Statistics:
ReturnZ: True   False
ReturnM: True   False
Geodatabase Version Name:
Return Distinct Values: True   False
Format:


2018-08-11 00:14:46,827 WARNING: Could not download ESRI source data: ('Could not parse JSON', JSONDecodeError('Expecting value: line 1 column 1 (char 0)',)) 2018-08-11 00:14:46,827 WARNING: Error in process_one.process() Traceback (most recent call last): File "/usr/local/lib/python3.5/dist-packages/esridump/dumper.py", line 366, in __iter__ data = self._handle_esri_errors(response, "Could not retrieve this chunk of objects") File "/usr/local/lib/python3.5/dist-packages/esridump/dumper.py", line 63, in _handle_esri_errors data = response.json() File "/usr/local/lib/python3.5/dist-packages/requests/models.py", line 826, in json return complexjson.loads(self.text, **kwargs) File "/usr/local/lib/python3.5/dist-packages/simplejson/__init__.py", line 518, in loads return _default_decoder.decode(s) File "/usr/local/lib/python3.5/dist-packages/simplejson/decoder.py", line 370, in decode obj, end = self.raw_decode(s) File "/usr/local/lib/python3.5/dist-packages/simplejson/decoder.py", line 400, in raw_decode return self.scan_once(s, idx=_w(s, idx).end()) simplejson.errors.JSONDecodeError: Expecting value: line 1 column 1 (char 0) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/local/lib/python3.5/dist-packages/openaddr/process_one.py", line 130, in process cache_result = cache(layer + '-' + data_source['name'], data_source, temp_dir, extras) File "/usr/local/lib/python3.5/dist-packages/openaddr/__init__.py", line 98, in cache downloaded_files = task.download(source_urls, workdir, data_source.get('conform')) File "/usr/local/lib/python3.5/dist-packages/openaddr/cache.py", line 379, in download for feature in downloader: File "/usr/local/lib/python3.5/dist-packages/esridump/dumper.py", line 370, in __iter__ raise EsriDownloadError("Could not parse JSON", e) esridump.errors.EsriDownloadError: ('Could not parse JSON', JSONDecodeError('Expecting value: line 1 column 1 (char 0)',))